#!/bin/bash

SCRIPT_DIR=$(dirname "${BASH_SOURCE[0]}" )

if [ "$1" != "normal" ] && [ "$1" != "mcc" ]
then
  echo "Usage: analyze.sh <normal/mcc> <list of pdb codes>"
  exit
fi

t=$1
shift

declare -a grids=(mx my mz px py pz)

echo "cmplx mx my mz px py pz"

while [ "$1" != "" ]
do

  i=$1
  shift
  declare -a e=(0 0 0 0 0 0)
  for j in 0 1 2 3 4 5 
  do                                                                                    
    a=$(grep 'Final Intermolecular Energy' ${i}/${i}_docking.${grids[${j}]}.dlg | awk '{print $8}' | sed -e 's/+//' -e 's/[eE]+*/\*10\^/')
    b=$(grep 'Torsional Free Energy' ${i}/${i}_docking.${grids[${j}]}.dlg | awk '{print $8}' | sed -e 's/[eE]+*/\*10\^/')
    n=0
    if [ "$t" == "mcc" ]
    then
      n=$(${SCRIPT_DIR}/calc_hal.py ${i}/${i}_ligand.mol2)
    fi
    e[${j}]=$(echo "scale = 4; ${a}  ${b} - ${n} * 0.2983 " | bc)
  done
  echo $i " " ${e[0]} " " ${e[1]} " " ${e[2]} " " ${e[3]} " " ${e[4]} " " ${e[5]}
done
