#!/bin/bash

if [ "$1" == "" ]
then
  echo "Usage: cals.sh <list of pdb codes>"
  exit
fi

if [ -z "$NPROC" ]; then
  NPROC=$(nproc)
fi  

SCRIPT_DIR=$(dirname "${BASH_SOURCE[0]}" )

while [ "$1" != "" ] 
do
  cmplx=$1
  shift
  for grid in px py pz mx my mz
  do
    lc=`ps -e | grep run_calc | wc -l`
    while [ $lc -ge ${NPROC} ]
    do
      sleep 1
      lc=`ps -e | grep run_calc | wc -l`
    done
    echo "---------------------"
    echo $cmplx $grid
    echo "---------------------"
    ${SCRIPT_DIR}/run_calc.sh ${cmplx} ${grid}  &
    echo "---------------------"
  done
done
