#!/usr/bin/python3

import sys
from openbabel import *
from ElectrostaticTools import *
import os
import math
import shutil

mglroot="/usr/lib/python2.7/site-packages/MGLToolsPckgs/"

if ( len(sys.argv) != 3 ):
  print("Usage: clear_metal.py <pdbbind_dir> <pdb_code>\n")
  sys.exit()

libdir = sys.argv[1]
cmplx = sys.argv[2]

mol = GeneralMultipoledMolecule()
prot = OBMol()
conv = OBConversion()
conv.SetInFormat("MOL2")
conv.ReadFile(mol, libdir+"/"+cmplx+"/"+cmplx+"_ligand.mol2")
conv.SetInFormat("PDB")
conv.ReadFile(prot, libdir+"/"+cmplx+"/"+cmplx+"_protein.pdb")
shutil.copyfile(libdir+"/"+cmplx+"/"+cmplx+"_protein.pdb", libdir+"/"+cmplx+"/"+cmplx+"_protein.pdb.bak")
conv.SetOutFormat("PDB")

pattern = OBSmartsPattern()
pattern.Init("[#11,#12,#13,#19,#20,#24,#25,#26,#27,28,#29,#30,#48]")
pattern.Match(prot)
hits = pattern.GetMapList()

atoms=[]
residues=[]

prot.BeginModify()
for i in hits:
  atoms.append(prot.GetAtom(i[0]))
for i in atoms:
  residues.append(i.GetResidue())
  prot.DeleteAtom(i)
for i in residues:
  prot.DeleteResidue(i)
prot.EndModify()

conv.WriteFile(prot, libdir+"/"+cmplx+"/"+cmplx+"_protein.pdb")
